Skip to main content
PUT
Update component

Authorizations

Authorization
string
header
required

Generate an API token at https://qlty.sh/user/settings/tokens

Path Parameters

ownerKeyOrId
string
required

Repository owner name (login) or workspace ID

Minimum string length: 3
Example:

"acme-corp"

projectKeyOrId
string
required

Repository name or project ID

Minimum string length: 3
Example:

"my-repo"

componentIdOrName
string
required

Component ID or name

Minimum string length: 1
Example:

"backend-api"

Body

application/json

Component definition

name
string
required
Required string length: 1 - 100
Example:

"Backend API"

pathGlobs
string
required

Glob patterns matching the Component's file paths, newline- or comma-separated

Minimum string length: 1
Example:

"src/api/**"

description
string | null
Example:

"Core backend API services"

Response

The updated component

A Component as defined for a Project, without computed fields such as fileCount

id
string
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

name
string
required
Example:

"Backend API"

description
string | null
required
Example:

"Core backend API services"

pathGlobs
string
required
Example:

"src/api/**"